--- title: "GetMonitorGrp" slug: "management-cloudinsight-getmonitorgrp" tags: ["Cloud Insight"] updated: 2026-09-17T10:05:41Z published: 2026-09-17T10:05:41Z canonical: "api.ncloud-docs.com/management-cloudinsight-getmonitorgrp" --- > ## Documentation Index > Fetch the complete documentation index at: https://api.ncloud-docs.com/llms.txt > Use this file to discover all available pages before exploring further. # GetMonitorGrp Available in Classic and VPC Get information on a specific monitoring target group for a service (product). ## Request This section describes the request format. The method and URI are as follows: | Method | URI | | --- | --- | | GET | /cw_fea/real/cw/api/rule/group/monitor/{prodKey}/{id} | ### Request headers For information about the headers common to all Cloud Insight APIs, see [Cloud Insight request headers](/docs/en/management-cloudinsight#%EC%9A%94%EC%B2%AD%ED%97%A4%EB%8D%94). ### Request path parameters You can use the following path parameters with your request: | Field | Type | Required | Description | | --- | --- | --- | --- | | `prodKey` | String | Required | Product key (cw_key) - See [Cloud Insight metrics](/docs/en/management-cloudinsight-productinfo). | | `id` | String | Required | Monitoring target group ID - See [GetAllMonitorGrp](/docs/en/management-cloudinsight-getallmonitorgrp). | ### Request example The request example is as follows: ``` curl --location --request GET 'https://cw.apigw.ntruss.com/cw_fea/real/cw/api/rule/group/monitor/**************/***********' \ --header 'x-ncp-apigw-timestamp: {Timestamp}' \ --header 'x-ncp-iam-access-key: {Access Key}' \ --header 'x-ncp-apigw-signature-v2: {API Gateway Signature}' ``` ## Response This section describes the response format. ### Response body For more information on the fields related to the monitoring target group information, see [MonitorGrpDto](/docs/en/common-vapidatatype-cimonitorgrpdto). ### Response status codes For information about the HTTP status codes common to NAVER Cloud Platform, see [Cloud Insight API response status codes](/docs/en/management-cloudinsight#%EC%9D%91%EB%8B%B5%EC%83%81%ED%83%9C%EC%BD%94%EB%93%9C). ### Response example The response example is as follows: ``` { "groupDesc": "Monitoring target group test", "groupName": "test-group", "id": "***********", "monitorGroupItemList": [ { "nrn": "***********", "resourceId": "***********", "resourceName": "***********" } ], "prodKey": "***********", "prodName": "Server(VPC)", "temporaryGroup": false, "type": "NORMAL" } ```